/*
 * FILENAME: dl_lists.h
 *		
 * PURPOSE: Include file for double-linked list management functions
 *
 * AUTHOR: T. Habermann, NGDC, (303) 497 - 6472, haber@mail.ngdc.noaa.gov
 *
 * USAGE: #include <lists.h>
 *
 * COMMENTS: Many of the ideas in this generic list handling system
 *		originated in the Vermont Views list management code.
 *
 * The DLL module incorporates self tests when compiled with the symbolic
 * macro DLL_CHK defined.  If you build ANY files with DLL_CHK defined
 * then you must build ALL files with DLL_CHK defined.  Otherwise,
 * different source files will have different opinions as to the
 * contents of a DLL_NODE struct.
 *
 * CAVEAT:
 * No claims are made as to the suitability of the accompanying
 * source code for any purpose.  Although this source code has been
 * used by the NOAA, no warranty, expressed or implied, is made by
 * NOAA or the United States Government as to the accuracy and
 * functioning of this source code, nor shall the fact of distribution
 * constitute any such endorsement, and no responsibility is assumed
 * by NOAA in connection therewith.  The source code contained
 * within was developed by an agency of the U.S. Government.
 * NOAA's National Geophysical Data Center has no objection to the
 * use of this source code for any purpose since it is not subject to
 * copyright protection in the U.S.  If this source code is incorporated
 * into other software, a statement identifying this source code may be
 * required under 17 U.S.C. 403 to appear with any copyright notice.
 */

/* Protect against multiple inclusions */
#ifndef DL_LISTS_H__
#define DL_LISTS_H__

/* linked list macros */


#endif /* (NOT) DL_LISTS_H__ */

